<form style="width: 400px" action="actionForForm.php" method='post'>
    <fieldset>
        <legend>Введите число</legend>
        <table>
            <tr>
                <td><label for=num></label>Число:</td>
            </tr>
            <tr>
                <td><input id="num" name="num" type="text" REQUIRED></td>
            </tr>
        </table>
    </fieldset>
    <fieldset>
        <input type="submit" name="guess" value="Угадать">
        <input type="reset" name="reset" value="сброс"><br>
    </fieldset>
    </form>